<?php

class fieldSocial extends cmsFormField {

    public $title = 'Социальные Кнопки';
    public $sql   = 'text';
    public $filter_type = 'str';
	public $allow_index = false;

    public function getOptions(){
        return array(
            new fieldCheckbox('redirect', array(
                'title' => LANG_PARSER_URL_REDIRECT,
                'default' => false
            )),
            new fieldCheckbox('auto_http', array(
                'title' => LANG_PARSER_URL_AUTO_HTTP,
                'default' => true
            )),
        );
    }
    
    public function parse($value){


		
	    $values = is_array($value) ? $value : cmsModel::yamlToArray($value);

		$ext = 0;
		foreach($values as $id=>$item){
		if(!$item){ continue; }
		$val = strip_tags($item);
		if($val){ $ext = 1; }		
		}
		
		if(!$ext){ 
		return null; 
		}
		
		$template = cmsTemplate::getInstance();
	    $tpl_file = $template->getTemplateFileName('/assets/fields/social/social');
        ob_start();
        include($tpl_file);
        $html = ob_get_clean();
		return $html;
			

    }


	
}
